#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;

    cin>>n>>k;

    vector<int> a(k);
    vector<pair<int,int>> b(k);

    for(int i=0; i<k; i++)
    {
        cin>>a[i];
        b[i].first=a[i];
        b[i].second=i;
    }


    sort(b.begin(), b.end());



    vector<int> eredmenyek(k);

   for(int i=0; i<k; i++)
   {
        int x=1;

        for(int j=1; j<=i; j++)
        {
            if(b[i].first%b[j].first==0)
            {
                x=x^b[j].first;


            }
        }


        eredmenyek[b[i].second]=x;
   }


   for(int i=0; i<eredmenyek.size(); i++)
   {
       cout<<eredmenyek[i]<<" ";
   }



    return 0;
}